Metaproperty

Metaproperties - Old API (Please use new API if possible)

Retrieve metaproperties

get
https://{your-bynder-domain}/api/v4/metaproperties

Query Parameters

countboolean

Indicates whether or not the response should include asset count results for metaproperty-options.

Default:false

typestring

Comma-separated list of asset types. Filters the count results by asset type.

Allowed values:imagedocumentaudiovideo3d

optionsboolean

Indicates whether or not the response should include the metaproperty options of each metaproperty. Warning: Always ensure to remove the metaproperty options from the response when using this endpoint. Include the param options=0 in every request sent.

Default:true

idsstring

Comma-separated list of metaproperty ids. Will return a metaproperty for each existing id.

Response

200 application/json

Successful response

get/api/v4/metaproperties
 
200 application/json

Create metaproperty

Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.

post
https://{your-bynder-domain}/api/v4/metaproperties

Body

application/x-www-form-urlencoded
datastring

JSON-serialised string

Example:{ "name": "ColourMeta", "type": "select", "label": "Colour", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isEditable": true, "isFilterable": true, "isMainfilter": true, "isMultiselect": true, "isRequired": true, "isMultifilter": true, "isDrilldown": true, "isDisplayField": true, "isApiField": true }

Response

application/json

Created

post/api/v4/metaproperties

Body

{ "data": "{\"name\": \"ColourMeta\", \"type\": \"select\", \"label\": \"Colour\", \"labels\": {\"fr_FR\": \"foo\", \"en_US\": \"foo\"}, \"zindex\": 4, \"isEditable\": true, \"isFilterable\": true, \"isMainfilter\": true, \"isMultiselect\": true, \"isRequired\": true, \"isMultifilter\": true, \"isDrilldown\": true, \"isDisplayField\": true, \"isApiField\": true}" }
 
application/json

Delete metaproperty

Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.

delete
https://{your-bynder-domain}/api/v4/metaproperties/{id}

Path Parameters

idstringrequired

Metaproperty id.

Response

No Content

delete/api/v4/metaproperties/{id}
 

Retrieve metaproperty

get
https://{your-bynder-domain}/api/v4/metaproperties/{id}

Query Parameters

countboolean

Indicates whether or not the response should include asset count results for metaproperty-options.

Default:false

typestring

Comma-separated list of asset types. Filters the count results by asset type.

Allowed values:imagedocumentaudiovideo3d

optionsboolean

Indicates whether or not the response should include the metaproperty options of the metaproperty.

Default:true

Path Parameters

idstringrequired

Metaproperty id.

Response

application/json

Successful response

get/api/v4/metaproperties/{id}
 
application/json